Refresh history tabs look and feel
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

The current UI of the history tab looks quite confusing because of the many borders. For some heading we started to add a

background color (ex: Activity page) and I think we should also add to the history tab. Looking on some active themes, I saw some

quite nice implementations:

1.Simple change to show gravatar inside the heading:

 history1.png 

2. From redmine_theme_farend_bleuclair theme maintained by Farend (Go MAEDA).

 history2.png 

What do you think?

Related issues:

Related to Redmine - Feature #39880: Add a small border-radius to selected (a... New

History

#1 - 2024-05-28 20:56 - Marius BĂLTEANU

Also, this should cover also the requirements from #39880.

#2 - 2024-05-28 20:56 - Marius BĂLTEANU

- Related to Feature #39882: Highlight selected version on the Roadmap view added

#3 - 2024-05-28 20:56 - Marius BĂLTEANU

- Related to deleted (Feature #39882: Highlight selected version on the Roadmap view)

#4 - 2024-05-28 20:57 - Marius BĂLTEANU

- Related to Feature #39880: Add a small border-radius to selected (author) headings added

#5 - 2024-05-29 06:29 - Mizuki ISHIKAWA

- File screenshot 2024-05-29 13.28.45.png added

I like design 2 and usually use the Bleuclair theme. When displaying an icon image with design 2, it looks like a speech bubble appears from the icon

image as shown in the screenshot below.

 screenshot 2024-05-29 13.28.45.png 

design 1 is also easier to read than at present. I prefer a little more padding.

#6 - 2024-05-29 06:47 - Go MAEDA

Thank you for your interest in the Bleuclair theme. It was created by Junichi Ishikura and is now maintained by Mizuki ISHIKAWA.

I believe the readability of the Bleuclair theme's history tab is nicer than the default theme, and I would be happy to see it incorporated into Redmine

core.

#7 - 2024-06-04 22:08 - Marius BĂLTEANU

Thanks for your responses.

Mizuki ISHIKAWA, Go MAEDA, do you think it is possible to extract this into a patch and post it here? I can review it.
https://www.redmine.org/users/332
https://www.redmine.org/issues/39880
https://github.com/farend/redmine_theme_farend_bleuclair
https://github.com/junichi-ishikura
https://www.redmine.org/users/259873
https://www.redmine.org/users/259873
https://www.redmine.org/users/332


#8 - 2024-06-06 09:12 - Mizuki ISHIKAWA

- File feature-40744-bleuclair-v1.patch added

- File screenshot 2024-06-06 16.02.14.png added

- File screenshot 2024-06-06 16.02.00.png added

- File screenshot 2024-06-06 16.01.09.png added

Marius BĂLTEANU wrote in #note-7:

Thanks for your responses.

Mizuki ISHIKAWA, Go MAEDA, do you think it is possible to extract this into a patch and post it here? I can review it.

 I made a patch. I'm not very good at writing CSS, so feedback is welcome.

I have also applied changes to similar layout such as the news and forum screens.

The vertical line connecting the icons is hidden in the notes tab and properties tab. This is because notes and properties are considered to be

extracted from a part of the continuous history and are therefore discontinuous.

issue forum news

screenshot 2024-06-06 16.01.09.png screenshot 2024-06-06 16.02.00.png screenshot 2024-06-06 16.02.14.png 

#9 - 2024-06-06 09:26 - Mizuki ISHIKAWA

- File feature-40744-bleuclair-v2.patch added

Slightly modified patch.

#10 - 2024-12-28 08:42 - Go MAEDA

- Target version set to Candidate for next major release

Files

history1.png 101 KB 2024-05-28 Marius BĂLTEANU

history2.png 84.9 KB 2024-05-28 Marius BĂLTEANU

screenshot 2024-05-29 13.28.45.png 102 KB 2024-05-29 Mizuki ISHIKAWA

feature-40744-bleuclair-v1.patch 11.4 KB 2024-06-06 Mizuki ISHIKAWA

screenshot 2024-06-06 16.02.00.png 88.1 KB 2024-06-06 Mizuki ISHIKAWA

screenshot 2024-06-06 16.02.14.png 80.4 KB 2024-06-06 Mizuki ISHIKAWA

screenshot 2024-06-06 16.01.09.png 62.6 KB 2024-06-06 Mizuki ISHIKAWA

feature-40744-bleuclair-v2.patch 11.5 KB 2024-06-06 Mizuki ISHIKAWA
